org.apache.datasketches.pig.cpc

## Class DataToSketchAlgebraicIntermediate

- java.lang.Object
- - org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>
  - - org.apache.datasketches.pig.cpc.DataToSketchAlgebraicIntermediate

    public class DataToSketchAlgebraicIntermediate
    extends org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.pig.EvalFunc

`org.apache.pig.EvalFunc.SchemaType`

### Field Summary

### Fields inherited from class org.apache.pig.EvalFunc

`log, pigLogger, reporter, returnType`

### Constructor Summary

Constructors
Constructor and Description
`DataToSketchAlgebraicIntermediate()` Default constructor for the intermediate pass of an Algebraic function.
`DataToSketchAlgebraicIntermediate(String lgK)` Constructor for the intermediate pass of an Algebraic function.
`DataToSketchAlgebraicIntermediate(String lgK, String seed)` Constructor for the intermediate pass of an Algebraic function.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.pig.data.Tuple` `exec(org.apache.pig.data.Tuple inputTuple)`

### Methods inherited from class org.apache.pig.EvalFunc

`allowCompileTimeCalculation, finish, getArgToFuncMapping, getCacheFiles, getInputSchema, getLoadCaster, getLogger, getPigLogger, getReporter, getReturnType, getSchemaName, getSchemaType, getShipFiles, isAsynchronous, needEndOfAllInputProcessing, outputSchema, progress, setEndOfAllInput, setInputSchema, setPigLogger, setReporter, setUDFContextSignature, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataToSketchAlgebraicIntermediate

    public DataToSketchAlgebraicIntermediate()

Default constructor for the intermediate pass of an Algebraic function. Assumes default lgK and seed.

#### DataToSketchAlgebraicIntermediate

    public DataToSketchAlgebraicIntermediate(String lgK)

Constructor for the intermediate pass of an Algebraic function. Pig will call this and pass the same constructor arguments as the base UDF. Assumes default seed.

Parameters:
  `lgK` - in a form of a String

#### DataToSketchAlgebraicIntermediate

    public DataToSketchAlgebraicIntermediate(String lgK,
                                             String seed)

Constructor for the intermediate pass of an Algebraic function. Pig will call this and pass the same constructor arguments as the base UDF.

Parameters:
  `lgK` - parameter controlling the sketch size and accuracy
  `seed` - for the hash function

### Method Detail

#### exec

    public org.apache.pig.data.Tuple exec(org.apache.pig.data.Tuple inputTuple)
                                   throws IOException

Specified by:
  `exec` in class `org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>`
Throws:
  `IOException`